Results 1 to 7 of 7

Thread: Application upgrade build error

  1. #1
    Sencha User
    Join Date
    Mar 2013
    Posts
    40
    Answers
    1

    Default Application upgrade build error

    Hello,

    I updated my mac to OSX 10.11 and I had to update sencha cmd too because my previous version (3.x) didn't worked with ruby 2.0.

    I updated to 6.0.2.14 and I had to run the command "sencha app upgrade" on my sencha touch app. Now when I run "sencha app build" I get these errors, can someone explain me what is it? My sencha touch app is written with sencha touch 2.2.0

    HTML Code:
    Sencha Cmd v6.0.2.14
    [INF] Processing Build Descriptor : default
    [INF] Starting server on port : 1841
    [INF] Mapping http://localhost:1841/~cmd to /Users/minimac4/bin/Sencha/Cmd/6.0.2.14...
    [INF] Mapping http://localhost:1841/ to /Volumes/Clienti/clientivari/Pollini/build app sencha/pollini_touch_4.1_prova/PolliniTouch...
    [INF] Application available at http://localhost:1841
    [INF] Loading app json manifest...
    [WRN] C1000: Rhino Parse Warning (Trailing comma is not legal in an ECMA-262 object initializer =>             },) -- /Volumes/Clienti/clientivari/Pollini/build app sencha/pollini_touch_4.1_prova/PolliniTouch/app/controller/MainPageController.js:138:13
    [WRN] C1000: Rhino Parse Warning (Trailing comma is not legal in an ECMA-262 object initializer =>             },) -- /Volumes/Clienti/clientivari/Pollini/build app sencha/pollini_touch_4.1_prova/PolliniTouch/app/view/CaricoMagazzino.js:160:13
    [WRN] C1000: Rhino Parse Warning (Trailing comma is not legal in an ECMA-262 object initializer =>         });) -- /Volumes/Clienti/clientivari/Pollini/build app sencha/pollini_touch_4.1_prova/PolliniTouch/app/view/TrasferimentiDettagli.js:391:9
    [ERR] 
    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.BasicException
    [ERR]     at com.sencha.tools.compil
    [ERR] er.sources.SymbolCache.getAutoDependencies(SymbolCache.java:832)
    [ERR]     at com.sencha.tools.compiler.s
    [ERR] ources.SymbolCache.getAutoDependencies(SymbolCache.java:832)
    [ERR]     at com.sencha.tools.compiler.sourc
    [ERR] es.SymbolCache.getAutoDependencies(SymbolCache.java:832)
    [ERR]     at com.sencha.tools.compiler.sources.S
    [ERR] ymbolCache.getAutoDependencies(SymbolCache.java:832)
    [ERR]     at com.sencha.tools.compiler.sources.Symbo
    [ERR] lCache.getAutoDependencies(SymbolCache.java:832)
    [ERR]     at com.sencha.tools.compiler.sources.SymbolCac
    [ERR] he.getAutoDependencies(SymbolCache.java:832)
    [ERR]     at com.sencha.tools.compiler.sources.SymbolCache.g
    [ERR] etAutoDependencies(SymbolCache.java:832)
    [ERR]     at com.sencha.tools.compiler.sources.SymbolCache.getAu
    [ERR] toDependencies(SymbolCache.java:832)
    [ERR]     at com.sencha.tools.compiler.sources.SymbolCache.getAutoDe
    [ERR] pendencies(SymbolCache.java:832)
    [ERR]     at com.sencha.tools.compiler.sources.SymbolCache.getAutoDepend
    [ERR] encies(SymbolCache.java:832)
    [ERR]     at com.sencha.tools.compiler.sources.SymbolCache.getAutoDependenci
    [ERR] es(SymbolCache.java:832)
    [ERR]     at com.sencha.tools.compiler.sources.SymbolCache.getAutoDependencies(S
    [ERR] ymbolCache.java:832)
    [ERR] 
    [ERR] Total time: 5 seconds
    [ERR] The following error occurred while executing this line:
    /Users/minimac4/bin/Sencha/Cmd/6.0.2.14/plugins/touch/2.3/plugin.xml:326: The following error occurred while executing this line:
    /Volumes/Clienti/clientivari/Pollini/build app sencha/pollini_touch_4.1_prova/PolliniTouch/.sencha/app/build-impl.xml:381: The following error occurred while executing this line:
    /Volumes/Clienti/clientivari/Pollini/build app sencha/pollini_touch_4.1_prova/PolliniTouch/.sencha/app/init-impl.xml:382: com.sencha.exceptions.BasicException

  2. #2
    Sencha User
    Join Date
    Mar 2013
    Posts
    40
    Answers
    1

    Default

    up please I can't update my app

  3. #3

    Default

    Quote Originally Posted by andyts93 View Post
    up please I can't update my app

    you can better try using the Command

    sencha -d app build

    you will get the Detail Description of the Isssue or where it has Failed.

  4. #4
    Sencha User
    Join Date
    Mar 2013
    Posts
    40
    Answers
    1

    Default

    Quote Originally Posted by sandeep.ranga View Post
    you can better try using the Command

    sencha -d app build

    you will get the Detail Description of the Isssue or where it has Failed.
    I tried with -d command and I got errors in "linking class inheritance group". There are hundreds of errors like
    [ERR] at com.sencha.tools.compiler.sources.SymbolCache.getAutoDependencies(SymbolCache.java:832)

    Code:
    [DBG] Linking class inheritance graph
    [ERR] 
    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.BasicException
    [ERR]     at com.sencha.exceptions.BasicException.wrap(BasicException.java:54)
    [ERR]     at com.sencha.exceptions.BasicException.stealthify(BasicException.java:43)
    [ERR]     at com.sencha.exceptions.BasicException.raise(BasicException.java:35)
    [ERR]     at com.sencha.cli.Command.dispatch(Command.java:62)
    [ERR]     at com.sencha.cli.Commands.dispatch(Commands.java:64)
    [ERR]     at com.sencha.command.compile.CompileCommands.dispatch(CompileCommands.java:312)
    [ERR]     at com.sencha.cli.AbstractCommand.dispatch(AbstractCommand.java:124)
    [ERR]     at com.sencha.ant.CompileTask$CompileToken.initialize(CompileTask.java:156)
    [ERR]     at com.sencha.ant.CompileTask$CompileToken.dispatchCommand(CompileTask.java:163)
    [ERR]     at com.sencha.ant.CompileTask.doExecute(CompileTask.java:123)
    [ERR]     at com.sencha.ant.BaseAntTask.execute(BaseAntTask.java:34)
    [ERR]     at com.sencha.ant.CompileTask.execute(CompileTask.java:36)
    [ERR]     at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
    [ERR]     at sun.reflect.GeneratedMethodAccessor26.invoke(Unknown Source)
    [ERR]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [ERR]     at java.lang.reflect.Method.invoke(Method.java:497)
    [ERR]     at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
    [ERR]     at org.apache.tools.ant.Task.perform(Task.java:348)
    [ERR]     at org.apache.tools.ant.Target.execute(Target.java:392)
    [ERR]     at org.apache.tools.ant.Target.performTasks(Target.java:413)
    [ERR]     at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399)
    [ERR]     at org.apache.tools.ant.helper.SingleCheckExecutor.executeTargets(SingleCheckExecutor.java:38)
    [ERR]     at org.apache.tools.ant.Project.executeTargets(Project.java:1251)
    [ERR]     at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:442)
    [ERR]     at org.apache.tools.ant.taskdefs.CallTarget.execute(CallTarget.java:105)
    [ERR]     at com.sencha.ant.CallTask.execute(CallTask.java:137)
    [ERR]     at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
    [ERR]     at sun.reflect.GeneratedMethodAccessor26.invoke(Unknown Source)
    [ERR]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [ERR]     at java.lang.reflect.Method.invoke(Method.java:497)
    [ERR]     at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
    [ERR]     at org.apache.tools.ant.Task.perform(Task.java:348)
    [ERR]     at org.apache.tools.ant.Target.execute(Target.java:392)
    [ERR]     at org.apache.tools.ant.Target.performTasks(Target.java:413)
    [ERR]     at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399)
    [ERR]     at org.apache.tools.ant.helper.SingleCheckExecutor.executeTargets(SingleCheckExecutor.java:38)
    [ERR]     at org.apache.tools.ant.Project.executeTargets(Project.java:1251)
    [ERR]     at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:442)
    [ERR]     at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
    [ERR]     at sun.reflect.GeneratedMethodAccessor26.invoke(Unknown Source)
    [ERR]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [ERR]     at java.lang.reflect.Method.invoke(Method.java:497)
    [ERR]     at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
    [ERR]     at org.apache.tools.ant.Task.perform(Task.java:348)
    [ERR]     at org.apache.tools.ant.taskdefs.Sequential.execute(Sequential.java:68)
    [ERR]     at net.sf.antcontrib.logic.IfTask.execute(IfTask.java:217)
    [ERR]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    [ERR]     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    [ERR]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [ERR]     at java.lang.reflect.Method.invoke(Method.java:497)
    [ERR]     at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
    [ERR]     at org.apache.tools.ant.TaskAdapter.execute(TaskAdapter.java:154)
    [ERR]     at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
    [ERR]     at sun.reflect.GeneratedMethodAccessor26.invoke(Unknown Source)
    [ERR]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [ERR]     at java.lang.reflect.Method.invoke(Method.java:497)
    [ERR]     at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
    [ERR]     at org.apache.tools.ant.Task.perform(Task.java:348)
    [ERR]     at org.apache.tools.ant.Target.execute(Target.java:392)
    [ERR]     at org.apache.tools.ant.Target.performTasks(Target.java:413)
    [ERR]     at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399)
    [ERR]     at org.apache.tools.ant.Project.executeTarget(Project.java:1368)
    [ERR]     at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
    [ERR]     at org.apache.tools.ant.Project.executeTargets(Project.java:1251)
    [ERR]     at com.sencha.ant.AntScript.execute(AntScript.java:116)
    [ERR]     at com.sencha.command.plugin.PluginManager.execute(PluginManager.java:104)
    [ERR]     at com.sencha.command.plugin.PluginManager.executeReverseFirst(PluginManager.java:145)
    [ERR]     at com.sencha.command.environment.BuildEnvironment.execute(BuildEnvironment.java:282)
    [ERR]     at com.sencha.command.environment.AppOrPackageEnvironment.execute(AppOrPackageEnvironment.java:755)
    [ERR]     at com.sencha.command.BasePluginCommands$BasePluginCommand.doExecute(BasePluginCommands.java:98)
    [ERR]     at com.sencha.command.app.AppCommands$BuildCommand.execute(AppCommands.java:364)
    [ERR]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    [ERR]     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    [ERR]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [ERR]     at java.lang.reflect.Method.invoke(Method.java:497)
    [ERR]     at com.sencha.util.MethodInvoker$Arguments.invoke(MethodInvoker.java:175)
    [ERR]     at com.sencha.cli.Command.dispatch(Command.java:43)
    [ERR]     at com.sencha.command.BasePluginCommands$BasePluginCommand.dispatch(BasePluginCommands.java:222)
    [ERR]     at com.sencha.cli.Commands.dispatch(Commands.java:64)
    [ERR]     at com.sencha.cli.Commands.dispatch(Commands.java:64)
    [ERR]     at com.sencha.command.Sencha.dispatch(Sencha.java:74)
    [ERR]     at com.sencha.command.Sencha.main(Sencha.java:142)
    [ERR]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    [ERR]     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    [ERR]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [ERR]     at java.lang.reflect.Method.invoke(Method.java:497)
    [ERR]     at com.exe4j.runtime.LauncherEngine.launch(Unknown Source)
    [ERR]     at com.install4j.runtime.launcher.UnixLauncher.main(Unknown Source)
    [ERR] Caused by: java.lang.StackOverflowError
    [ERR]     at com.google.gson.internal.LinkedTreeMap$LinkedTreeMapIterator.<init>(LinkedTreeMap.java:526)
    [ERR]     at com.google.gson.internal.LinkedTreeMap$EntrySet$1.<init>(LinkedTreeMap.java:563)
    [ERR]     at com.google.gson.internal.LinkedTreeMap$EntrySet.iterator(LinkedTreeMap.java:563)
    [ERR]     at java.util.HashMap.putMapEntries(HashMap.java:511)
    [ERR]     at java.util.HashMap.putAll(HashMap.java:784)
    [ERR]     at com.sencha.tools.compiler.sources.SymbolCache.getAutoDependencies(SymbolCache.java:829)
    [ERR]     at com.sencha.tools.compiler.sources.SymbolCache.getAutoDependencies(SymbolCache.java:832)
    [ERR]     at com.sencha.tools.compiler.sources.SymbolCache.getAutoDependencies(SymbolCache.java:832)
    [...]
    [ERR] Total time: 8 seconds

  5. #5
    Sencha User
    Join Date
    Feb 2013
    Location
    California
    Posts
    11,985
    Answers
    506

    Default

    What version of Java do you have installed? This is probably not the issue, but if you're still getting those Rhino Parse warnings, you'll want to run your code through JSLint to remove trailing commas.

  6. #6
    Sencha User
    Join Date
    Mar 2013
    Posts
    40
    Answers
    1

    Default

    Quote Originally Posted by Gary Schlosberg View Post
    What version of Java do you have installed? This is probably not the issue, but if you're still getting those Rhino Parse warnings, you'll want to run your code through JSLint to remove trailing commas.
    I removed trailing commas but still not working. My java version is:

    java version "1.6.0_65"
    Java(TM) SE Runtime Environment (build 1.6.0_65-b14-468-11M4833)
    Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-468, mixed mode)

  7. #7
    Sencha User
    Join Date
    Feb 2013
    Location
    California
    Posts
    11,985
    Answers
    506

    Default

    What version of Ant do you have installed? You might try installing Java 1.7 to see if that helps, though 1.6 should be OK unless you are running watch.

Similar Threads

  1. [INFOREQ] 'Ext.application is not a function' error aftr upgrade from ExtJS 4.2->5 using SA 3.1
    By dhrpatel in forum Sencha Architect 3.x: Bugs
    Replies: 5
    Last Post: 25 Aug 2014, 9:06 AM
  2. [FIXED] After upgrade, can NOT build an application
    By blomasky in forum Sencha Architect 3.x: Bugs
    Replies: 12
    Last Post: 1 Jan 2014, 1:14 AM
  3. Build & upgrade error: last modified by (0.0.0.0)
    By benjamineberle in forum Sencha Cmd
    Replies: 1
    Last Post: 10 Oct 2013, 9:53 PM
  4. Error while opening existing project since upgrade to 1.2.3 Build: 52
    By Raymi in forum Ext Designer: Help & Discussion
    Replies: 0
    Last Post: 9 Oct 2012, 11:37 AM
  5. [FIXED] Version 2.0.0 Build 337 Project Upgrade Error Reported
    By keithjjones in forum Sencha Architect 2.x: Bugs
    Replies: 2
    Last Post: 26 Mar 2012, 11:55 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •